/* eslint-disable no-magic-numbers */

var version,
  fps,
  mapWidth,
  mapHeight,
  maxGazePointAge,
  gazePointRadius,
  maxNumberOfEnemies,
  enemySpawnDelay,
  playerDamage;

class GameConfiguration {

  constructor() {}

  reset() {
    version = "$VERSION";
    fps = 60;
    mapWidth = 1920,
    mapHeight = 1080;
    maxGazePointAge = 500;
    gazePointRadius = 15;
    maxNumberOfEnemies = 10;
    enemySpawnDelay = 500;
    playerDamage = 100;
  }

  setVersion(value) {
    version = value;
  }

  getVersion() {
    return version;
  }

  setFPS(value) {
    fps = value;
  }

  getFPS() {
    return fps;
  }

  setMapWidth(value) {
    mapWidth = value;
  }

  getMapWidth() {
    return mapWidth;
  }

  setMapHeight(value) {
    mapHeight = value;
  }

  getMapHeight() {
    return mapHeight;
  }

  setMaxGazePointAge(value) {
    maxGazePointAge = value;
  }

  getMaxGazePointAge() {
    return maxGazePointAge;
  }

  setGazePointRadius(value) {
    gazePointRadius = value;
  }

  getGazePointRadius() {
    return gazePointRadius;
  }

  setGazePointColor(value) {
    gazePointColor = value;
  }

  getGazePointColor() {
    return gazePointColor;
  }

  setMaxNumberOfEnemies(value) {
    maxNumberOfEnemies = value;
  }

  getMaxNumberOfEnemies() {
    return maxNumberOfEnemies;
  }

  setEnemySpawnDelay(value) {
    enemySpawnDelay = value;
  }

  getEnemySpawnDelay() {
    return enemySpawnDelay;
  }

  setPlayerDamage(value) {
    playerDamage = value;
  }

  getPlayerDamage() {
    return playerDamage;
  }

}

const Config = new GameConfiguration;
Config.reset();

module.exports = Config;