/* eslint-disable no-magic-numbers */

var port,
socialRoute,
monitorRoute,
gameRoute,
gamePath,
gameRoomName;

class ServerConfig {

  constructor() {}

  reset() {
    port = process.env.PORT || 2567;
    socialRoute = "/";
    monitorRoute = "/colyseus";
    gameRoute = "/game";
    gamePath = "../StarGazerClient/build";
    gameRoomName = "star_gazer_lab";
  }

  getPort() {
    return port;
  }

  getSocialRoute() {
    return socialRoute;
  }

  getMonitorRoute() {
    return monitorRoute;
  }

  getGameRoute() {
     return gameRoute;
  }

  getGamePath() {
    return gamePath;
  }

  getGameRoomName() {
    return gameRoomName;
  }

}

const Config = new ServerConfig;
Config.reset();

module.exports = Config;

