const schema = require("@colyseus/schema");
const Schema = schema.Schema;

class GazePoint extends Schema {

  constructor(screenX, screenY) {
    this.screenX = screenX;
    this.screenY = screenY;
    this.createdAt = Date.now();
    this.id = this.createdAt;
  }

}

schema.defineTypes(GazePoint, {
    screenX: "number",
    screenY: "number",
    createdAt: "number",
    player: "text",
    id: "number",
});

module.exports = GazePoint;