const schema = require("@colyseus/schema"),
    GameObject = require("./GameObject.js");

const DEFAULT_HEALTH = 100,
  DEFAULT_HIT_BOX_RADIUS = 270,
  DEFAULT_WIDTH = 500,
  DEFAULT_HEIGHT = 500;

class Planet extends GameObject {

  constructor(x, y) {
    super(x, y, DEFAULT_WIDTH, DEFAULT_HEIGHT, DEFAULT_HIT_BOX_RADIUS,
      0, 0);
    this.lp = DEFAULT_HEALTH;
  }

}

schema.defineTypes(Planet, {
    lp: "number"
});

module.exports = Planet;